org.apache.jasper

## Interface Options

- All Known Implementing Classes:
    EmbeddedServletOptions, JspC

      public interface Options

  A class to hold all init parameters specific to the JSP engine.
  Author:
    Anil K. Vijendran, Hans Bergsten, Pierre Delisle

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `genStringAsCharArray()` Indicates whether text strings are to be generated as char arrays.
    `Map<String,TagLibraryInfo>` | `getCache()` The web-application wide cache for the TagLibraryInfo tag library descriptors, used if `isCaching()` returns `true`.
    `int` | `getCheckInterval()` Background compile thread check interval in seconds
    `boolean` | `getClassDebugInfo()` Should we include debug information in compiled class?
    `String` | `getClassPath()` What classpath should I use while compiling the servlets generated from JSP files?
    `String` | `getCompiler()` Compiler to use.
    `String` | `getCompilerClassName()` Jasper Java compiler class to use.
    `String` | `getCompilerSourceVM()` The compiler source VM, e.g. 1.3, 1.4, 1.5 or 1.6.
    `String` | `getCompilerTargetVM()` The compiler target VM, e.g. 1.1, 1.2, 1.3, 1.4, 1.5 or 1.6.
    `boolean` | `getDevelopment()` Is Jasper being used in development mode?
    `boolean` | `getDisplaySourceFragment()` Should we include a source fragment in exception messages, which could be displayed to the developer ?
    `boolean` | `getErrorOnUseBeanInvalidClassAttribute()` Returns true if Jasper issues a compilation error instead of a runtime Instantiation error if the class attribute specified in useBean action is invalid.
    `boolean` | `getFork()` The boolean flag to tell Ant whether to fork JSP page compilations.
    `String` | `getIeClassId()` Gets the class-id value that is sent to Internet Explorer when using <jsp:plugin> tags.
    `String` | `getJavaEncoding()` Java platform encoding to generate the JSP page servlet.
    `JspConfig` | `getJspConfig()` Obtain JSP configuration information specified in web.xml.
    `int` | `getJspIdleTimeout()` The idle time in seconds after which a JSP is unloaded.
    `boolean` | `getKeepGenerated()` Are we keeping generated code around?
    `boolean` | `getMappedFile()` Are we supporting HTML mapped servlets?
    `int` | `getMaxLoadedJsps()` The maximum number of loaded jsps per web-application.
    `int` | `getModificationTestInterval()` Modification test interval.
    `boolean` | `getQuoteAttributeEL()`
    `boolean` | `getRecompileOnFail()` Re-compile on failure.
    `File` | `getScratchDir()` What is my scratch dir?
    `TagPluginManager` | `getTagPluginManager()` Obtain a Tag Plugin Manager
    `TldLocationsCache` | `getTldLocationsCache()` The cache for the location of the TLD's for the various tag libraries 'exposed' by the web application.
    `boolean` | `getTrimSpaces()`
    `boolean` | `isCaching()` Is caching enabled (used for precompilation).
    `boolean` | `isPoolingEnabled()` Returns true if tag handler pooling is enabled, false otherwise.
    `boolean` | `isSmapDumped()` Indicates whether SMAP info for JSR45 debugging should be dumped to a file.
    `boolean` | `isSmapSuppressed()` Is the generation of SMAP info for JSR45 debugging suppressed?
    `boolean` | `isXpoweredBy()` Is generation of X-Powered-By response header enabled/disabled?

- - ### Method Detail

    - #### getErrorOnUseBeanInvalidClassAttribute

          boolean getErrorOnUseBeanInvalidClassAttribute()

      Returns true if Jasper issues a compilation error instead of a runtime Instantiation error if the class attribute specified in useBean action is invalid.

    - #### getKeepGenerated

          boolean getKeepGenerated()

      Are we keeping generated code around?

    - #### isPoolingEnabled

          boolean isPoolingEnabled()

      Returns true if tag handler pooling is enabled, false otherwise.

    - #### getMappedFile

          boolean getMappedFile()

      Are we supporting HTML mapped servlets?

    - #### getClassDebugInfo

          boolean getClassDebugInfo()

      Should we include debug information in compiled class?

    - #### getCheckInterval

          int getCheckInterval()

      Background compile thread check interval in seconds

    - #### getDevelopment

          boolean getDevelopment()

      Is Jasper being used in development mode?

    - #### getDisplaySourceFragment

          boolean getDisplaySourceFragment()

      Should we include a source fragment in exception messages, which could be displayed to the developer ?

    - #### isSmapSuppressed

          boolean isSmapSuppressed()

      Is the generation of SMAP info for JSR45 debugging suppressed?

    - #### isSmapDumped

          boolean isSmapDumped()

      Indicates whether SMAP info for JSR45 debugging should be dumped to a file. Ignored if suppressSmap() is true.

    - #### getTrimSpaces

          boolean getTrimSpaces()

      Returns:
        `true` to remove template text that consists entirely of whitespace

    - #### getIeClassId

          String getIeClassId()

      Gets the class-id value that is sent to Internet Explorer when using <jsp:plugin> tags.
      Returns:
        Class-id value

    - #### getScratchDir

          File getScratchDir()

      What is my scratch dir?

    - #### getClassPath

          String getClassPath()

      What classpath should I use while compiling the servlets generated from JSP files?

    - #### getCompiler

          String getCompiler()

      Compiler to use.

      If `null` (the default), the java compiler from Eclipse JDT project, bundled with Tomcat, will be used. Otherwise, the `javac` task from Apache Ant will be used to call an external java compiler and the value of this option will be passed to it. See Apache Ant documentation for the possible values.

    - #### getCompilerTargetVM

          String getCompilerTargetVM()

      The compiler target VM, e.g. 1.1, 1.2, 1.3, 1.4, 1.5 or 1.6.

    - #### getCompilerSourceVM

          String getCompilerSourceVM()

      The compiler source VM, e.g. 1.3, 1.4, 1.5 or 1.6.

    - #### getCompilerClassName

          String getCompilerClassName()

      Jasper Java compiler class to use.

    - #### getTldLocationsCache

          TldLocationsCache getTldLocationsCache()

      The cache for the location of the TLD's for the various tag libraries 'exposed' by the web application. A tag library is 'exposed' either explicitly in web.xml or implicitly via the uri tag in the TLD of a taglib deployed in a jar file (WEB-INF/lib).
      Returns:
        the instance of the TldLocationsCache for the web-application.

    - #### getJavaEncoding

          String getJavaEncoding()

      Java platform encoding to generate the JSP page servlet.

    - #### getFork

          boolean getFork()

      The boolean flag to tell Ant whether to fork JSP page compilations.

      Is used only when Jasper uses an external java compiler (wrapped through a `javac` Apache Ant task).

    - #### getJspConfig

          JspConfig getJspConfig()

      Obtain JSP configuration information specified in web.xml.

    - #### isXpoweredBy

          boolean isXpoweredBy()

      Is generation of X-Powered-By response header enabled/disabled?

    - #### getTagPluginManager

          TagPluginManager getTagPluginManager()

      Obtain a Tag Plugin Manager

    - #### genStringAsCharArray

          boolean genStringAsCharArray()

      Indicates whether text strings are to be generated as char arrays.
      Returns:
        `true` if text strings are to be generated as char arrays, `false` otherwise

    - #### getModificationTestInterval

          int getModificationTestInterval()

      Modification test interval.

    - #### getRecompileOnFail

          boolean getRecompileOnFail()

      Re-compile on failure.

    - #### isCaching

          boolean isCaching()

      Is caching enabled (used for precompilation).

    - #### getCache

          Map<String,TagLibraryInfo> getCache()

      The web-application wide cache for the TagLibraryInfo tag library descriptors, used if `isCaching()` returns `true`.

      Using this cache avoids the cost of repeating the parsing of a tag library descriptor XML file (performed by TagLibraryInfoImpl.parseTLD).

      Returns:
        the Map(String uri, TagLibraryInfo tld) instance.

    - #### getMaxLoadedJsps

          int getMaxLoadedJsps()

      The maximum number of loaded jsps per web-application. If there are more jsps loaded, they will be unloaded. If unset or less than 0, no jsps are unloaded.

    - #### getJspIdleTimeout

          int getJspIdleTimeout()

      The idle time in seconds after which a JSP is unloaded. If unset or less or equal than 0, no jsps are unloaded.

    - #### getQuoteAttributeEL

          boolean getQuoteAttributeEL()

      Returns:
        `true` if EL expressions used within attributes should have the quoting rules in JSP.1.6 applied to the expression.

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.